> For the complete documentation index, see [llms.txt](https://docs.blockpi.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blockpi.io/build/api-reference/starknet/starknet_gettransactionstatus.md).

# starknet\_getTransactionStatus

Gets the transaction status (possibly reflecting that the tx is still in the mempool, or dropped from it)

#### **Parameters:**

**Transaction hash** - string, The transaction hash, as assigned in StarkNet

#### **Returns:**

Transaction finality status and execution status

#### Example:

{% code overflow="wrap" %}

```json
// Request
curl https://starknet.blockpi.network/v1/rpc/your-rpc-key -X POST -H "Content-Type: application/json" --data '{"jsonrpc":"2.0","method":"starknet_getTransactionStatus","params":["0x23b5171f490079d5ba6314ebdce1dd5a1086fc2b07da7f7f51a62bd07671f6f"],"id":0}'

// Result
{
    "id": 0,
    "jsonrpc": "2.0",
    "result": {
        "execution_status": "SUCCEEDED",
        "finality_status": "ACCEPTED_ON_L2"
    }
}
```

{% endcode %}
